/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#include "vartypes.h"

bool operator==( const ColorStep& colorstep1, const ColorStep& colorstep2 ) { return colorstep1.red == colorstep2.red && colorstep1.green == colorstep2.green && colorstep1.blue == colorstep2.blue && colorstep1.pos == colorstep2.pos; }

bool operator!=( const ColorStep& colorstep1, const ColorStep& colorstep2 ) { return colorstep1.red != colorstep2.red || colorstep1.green != colorstep2.green || colorstep1.blue != colorstep2.blue || colorstep1.pos != colorstep2.pos; }

bool operator==( const ColorFade& colorfade1, const ColorFade& colorfade2 ) { return colorfade1.m_colors == colorfade2.m_colors; }

bool operator!=( const ColorFade& colorfade1, const ColorFade& colorfade2 ) { return colorfade1.m_colors != colorfade2.m_colors; }

